Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.flow.table
Interface TableEventProducer

All Superinterfaces:
  EventProducer

public interface TableEventProducer
extends EventProducer

Event producer interface for table-specific XSL-FO validation messages.

Nested Class Summary
`static class` | `TableEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `breakIgnoredDueToRowSpanning(java.lang.Object source, java.lang.String elementName, boolean breakBefore, org.xml.sax.Locator loc)` Break ignored due to row spanning.
`void` | `cellOverlap(java.lang.Object source, java.lang.String elementName, int column, org.xml.sax.Locator loc)` Cell overlap.
`void` | `footerOrderCannotRecover(java.lang.Object source, java.lang.String elementName, org.xml.sax.Locator loc)` The table-footer was found after the table-body.
`void` | `forceNextColumnNumber(java.lang.Object source, java.lang.String elementName, java.lang.Number propValue, int columnNumber, org.xml.sax.Locator loc)`
`void` | `noMixRowsAndCells(java.lang.Object source, java.lang.String elementName, org.xml.sax.Locator loc)` No mixing of table-rows and table-cells is allowed for direct children of table-body.
`void` | `nonAutoBPDOnTable(java.lang.Object source, org.xml.sax.Locator loc)` A value other than "auto" has been specified on fo:table.
`void` | `noTablePaddingWithCollapsingBorderModel(java.lang.Object source, org.xml.sax.Locator loc)` Padding on fo:table is ignored if the collapsing border model is active.
`void` | `paddingNotApplicable(java.lang.Object source, java.lang.String elementName, org.xml.sax.Locator loc)` padding-* properties are not applicable.
`void` | `startEndRowUnderTableRowWarning(java.lang.Object source, org.xml.sax.Locator loc)` starts-row/ends-row for fo:table-cells non-applicable for children of an fo:table-row
`void` | `tooManyCells(java.lang.Object source, org.xml.sax.Locator loc)` Column-number or number of cells in the row overflows the number of fo:table-column specified for the table.
`void` | `valueMustBeBiggerGtEqOne(java.lang.Object source, java.lang.String propName, int actualValue, org.xml.sax.Locator loc)` Property value must be 1 or bigger.
`void` | `warnImplicitColumns(java.lang.Object source, org.xml.sax.Locator loc)` table-layout=\"fixed\" and column-width unspecified => falling back to proportional-column-width(1)

Method Detail

### nonAutoBPDOnTable

    public void nonAutoBPDOnTable(java.lang.Object source,
                                  org.xml.sax.Locator loc)

  A value other than "auto" has been specified on fo:table.

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Event severity level:
    WARN

### noTablePaddingWithCollapsingBorderModel

    public void noTablePaddingWithCollapsingBorderModel(java.lang.Object source,
                                                        org.xml.sax.Locator loc)

  Padding on fo:table is ignored if the collapsing border model is active.

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Event severity level:
    WARN

### noMixRowsAndCells

    public void noMixRowsAndCells(java.lang.Object source,
                                  java.lang.String elementName,
                                  org.xml.sax.Locator loc)
                           throws ValidationException

  No mixing of table-rows and table-cells is allowed for direct children of table-body.

  Parameters:
    `source` - the event source
    `elementName` - the name of the context node
    `loc` - the location of the error or null
  Throws:
    `ValidationException` - the validation error provoked by the method call
  Event severity level:
    FATAL

### footerOrderCannotRecover

    public void footerOrderCannotRecover(java.lang.Object source,
                                         java.lang.String elementName,
                                         org.xml.sax.Locator loc)
                                  throws ValidationException

  The table-footer was found after the table-body. FOP cannot recover with collapsed border model.

  Parameters:
    `source` - the event source
    `elementName` - the name of the context node
    `loc` - the location of the error or null
  Throws:
    `ValidationException` - the validation error provoked by the method call
  Event severity level:
    FATAL

### startEndRowUnderTableRowWarning

    public void startEndRowUnderTableRowWarning(java.lang.Object source,
                                                org.xml.sax.Locator loc)

  starts-row/ends-row for fo:table-cells non-applicable for children of an fo:table-row

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Event severity level:
    WARN

### tooManyCells

    public void tooManyCells(java.lang.Object source,
                             org.xml.sax.Locator loc)
                      throws ValidationException

  Column-number or number of cells in the row overflows the number of fo:table-column specified for the table.

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Throws:
    `ValidationException` - the validation error provoked by the method call
  Event severity level:
    FATAL

### valueMustBeBiggerGtEqOne

    public void valueMustBeBiggerGtEqOne(java.lang.Object source,
                                         java.lang.String propName,
                                         int actualValue,
                                         org.xml.sax.Locator loc)
                                  throws PropertyException

  Property value must be 1 or bigger.

  Parameters:
    `source` - the event source
    `propName` - the property name
    `actualValue` - the actual value
    `loc` - the location of the error or null
  Throws:
    `PropertyException` - the property error provoked by the method call
  Event severity level:
    FATAL

### warnImplicitColumns

    public void warnImplicitColumns(java.lang.Object source,
                                    org.xml.sax.Locator loc)

  table-layout=\"fixed\" and column-width unspecified => falling back to proportional-column-width(1)

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Event severity level:
    WARN

### paddingNotApplicable

    public void paddingNotApplicable(java.lang.Object source,
                                     java.lang.String elementName,
                                     org.xml.sax.Locator loc)

  padding-* properties are not applicable.

  Parameters:
    `source` - the event source
    `elementName` - the name of the context node
    `loc` - the location of the error or null
  Event severity level:
    WARN

### cellOverlap

    public void cellOverlap(java.lang.Object source,
                            java.lang.String elementName,
                            int column,
                            org.xml.sax.Locator loc)
                     throws PropertyException

  Cell overlap.

  Parameters:
    `source` - the event source
    `elementName` - the name of the context node
    `column` - the column index of the overlapping cell
    `loc` - the location of the error or null
  Throws:
    `PropertyException` - the property error provoked by the method call
  Event severity level:
    FATAL

### forceNextColumnNumber

    public void forceNextColumnNumber(java.lang.Object source,
                                      java.lang.String elementName,
                                      java.lang.Number propValue,
                                      int columnNumber,
                                      org.xml.sax.Locator loc)

  Parameters:
    `source` - the event source
    `elementName` - the name of the context node
    `propValue` - the user-specified value of the column-number property
    `columnNumber` - the generated value for the column-number property
    `loc` - the location of the error or null
  Event severity level:
    WARN

### breakIgnoredDueToRowSpanning

    public void breakIgnoredDueToRowSpanning(java.lang.Object source,
                                             java.lang.String elementName,
                                             boolean breakBefore,
                                             org.xml.sax.Locator loc)

  Break ignored due to row spanning.

  Parameters:
    `source` - the event source
    `elementName` - the name of the context node
    `breakBefore` - true for "break-before", false for "break-after"
    `loc` - the location of the error or null
  Event severity level:
    WARN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.